import Buffer from './buffer.vue';
import Config from './config.vue';
import Dictionary from './dictionary.vue';
import Permission from './permission.vue';
import Role from './role.vue';
import User from './user.vue';
import Status from './status.vue';
import Log from './log.vue';
const routes = [
  {
    path: '/buffer',
    name: 'buffer',
    component: Buffer,
  },
  {
    path: '/config',
    name: 'config',
    component: Config,
  },
  {
    path: '/dictionary',
    name: 'dictionary',
    component: Dictionary,
  },
  {
    path: '/permission',
    name: 'permission',
    component: Permission,
  },
  {
    path: '/role',
    name: 'role',
    component: Role,
  },
  {
    path: '/user',
    name: 'user',
    component: User,
  },
  {
    path: '/status',
    name: 'status',
    component: Status,
  },
  {
    path: '/log',
    name: 'log',
    component: Log,
  },
];
const menus = {
  buff: { i18n: 'preMenu.operator.0', path: 'buffer', icon: 'Warning' },
  config: { i18n: 'preMenu.operator.1', path: 'config', icon: 'EditPen' },
  dictionary: {
    i18n: 'preMenu.operator.2',
    path: 'dictionary',
    icon: 'Collection',
  },
  permission: {
    i18n: 'preMenu.operator.3',
    path: 'permission',
    icon: 'Unlock',
  },
  role: { i18n: 'preMenu.operator.4', path: 'role', icon: 'User' },
  user: { i18n: 'preMenu.operator.5', path: 'user', icon: 'User' },
  status: { i18n: 'preMenu.operator.6', path: 'status', icon: 'Setting' },
  log: { i18n: 'preMenu.operator.7', path: 'log', icon: 'Document' },
};
export default { routes, menus };
