import { delate } from '../http/axios';
import { queryList, update, deleteById } from './base';
const root = 'buffer';

export const list = () => {
  return queryList(root);
};

export const clean = () => {
  return new Promise((resolve, reject) => {
    delate(root).then(
      (rsp: any) => {
        if (rsp) {
          resolve(rsp);
        } else {
          resolve(false);
        }
      },
      (err) => {
        resolve(false);
      }
    );
  });
};

export const set = (buffer) => {
  return update(root, buffer);
};

export const del = (buffer) => {
  return deleteById(root, buffer.key);
};
