import { delate } from '../http/axios';
import { queryPage, save, update } from './base';
const root = 'dict';

export const list = (example) => {
  return queryPage(root, example);
};

export const add = (dictionary) => {
  return save(root, dictionary);
};

export const set = (dictionary) => {
  return update(root, dictionary);
};

export const del = (dictionary) => {
  return new Promise((resolve, reject) => {
    delate(root, dictionary).then(
      (rsp: any) => {
        if (rsp) {
          resolve(rsp);
        } else {
          resolve(false);
        }
      },
      (err) => {
        resolve(false);
      }
    );
  });
};
