import { queryList, save, update, deleteById } from './base';
const root = 'permission';
const publik = 'public/permission';

export const list = (example) => {
  return queryList(root, example);
};

export const add = (permission) => {
  return save(root, permission);
};

export const set = (permission) => {
  return update(root, permission);
};

export const del = (permission) => {
  return deleteById(root, permission.id);
};

export const tree = () => {
  return queryList(publik);
};
