import { queryList, save, update, deleteById } from './base';
const root = 'role';
const publik = 'public/roles';

export const list = (example) => {
  return queryList(root, example);
};

export const mapping = () => {
  return queryList(publik);
};

export const add = (role) => {
  return save(root, role);
};

export const set = (role) => {
  return update(root, role);
};

export const del = (role) => {
  return deleteById(root, role.roleCode);
};
