import { get, post, put, delate } from '../http/axios';
import { queryList, save, update, deleteById } from './base';
const root = 'user';
const pwdUrl = 'user/password';

export const list = (example) => {
  return queryList(root, example);
};

export const add = (user) => {
  return save(root, user);
};

export const updatePwd = (pwd) => {
  return update(pwdUrl, pwd);
};

export const set = (user) => {
  return update(root, user);
};

export const del = (user) => {
  return deleteById(root, user.userId);
};

export const reset = (user) => {
  return update(root + '/' + user.userId, {});
};
