import { light, dark, grey } from './color';

export default class Plain {
  name = 'plain'; //总体样式名称
  icon = 'Sunset'; //图标样式
  i18n = 'styles.0'; //样式提示i18n配置
  //   bodyBg = light[0]; //全局背景颜色
  bodyBg = light[7]; //全局背景颜色
  titleColor = light[0]; //标题颜色
  subTitleColor = dark[9];//二级标题颜色
  color = '#4e5969'; //全局字体颜色
  selectionBg = '#3367d1'; //全局文字选中后背景
  selectionColor = '#fff'; //全局文字选中后背景

  //   headBg = '#2e8ae3'; //头部背景颜色
  headBg = '#40c9c6'; //头部背景颜色

  menuBg = '#323e4d'; //菜单背景颜色
  menuActiveBg = '#28323e'; //菜单激活背景颜色
  menuColor = light[7]; //菜单文字颜色
  menuActiveColor = '#409eff'; //激活菜单文字颜色
  menuDefaultIcon = 'Minus'; //菜单默认图标

  mainShadowColor = light[4]; //主窗口阴影颜色

  searchRowBg = light[8];
  itemBg = light[2];
  itemSelectColor = '#409eff';

  tableBg = light[1]; //表格背景颜色
  tableHeadBg = light[2]; //表头行背景颜色
  tableCurBg = light[3]; //当前行背景颜色
  tableColor = dark[0]; //表格字体颜色
  tableBorderColor = light[9]; //行底部边框颜色
  tableChildBg = '#f0f9eb'; //树型表格子行背景颜色
}
