import { queryPage, update } from './base';
import { get } from '../http/axios';
const root = 'config';
export const list = (example) => {
  return queryPage(root, example);
};

export const set = (config) => {
  return update(root, config);
};

export const getValue = (key) => {
  return new Promise((resolve, reject) => {
    get(root + '/' + key, null, true, true).then(
      (rsp: any) => {
        resolve(rsp);
      },
      (err) => {
        resolve(null);
      }
    );
  });
};
