import Plain from './plain';
import { light, dark, grey } from './color';

export default class Dark extends Plain {
  name = 'dark'; //总体样式名称
  icon = 'MoonNight'; //图标样式
  i18n = 'styles.2'; //样式提示i18n配置
  bodyBg = dark[3]; //全局背景颜色
  titleColor = light[0]; //标题颜色
  subTitleColor = light[4];//二级标题颜色
  color = grey[5]; //全局字体颜色
  selectionBg = '#0438a2'; //全局文字选中后背景

  headBg = dark[2]; //头部背景颜色
  menuBg = dark[2]; //菜单背景颜色
  menuActiveBg = dark[6]; //菜单激活背景颜色
  menuColor = light[0]; //菜单文字颜色
  menuActiveColor = '#328ae3'; //激活菜单文字颜色

  mainShadowColor = light[8]; //主窗口阴影颜色

  searchRowBg = dark[3];
  itemBg = dark[7];

  tableBg = dark[2]; //表格背景颜色
  tableHeadBg = dark[4]; //表头行背景颜色
  tableCurBg = dark[5]; //当前行背景颜色
  tableColor = light[0]; //表格字体颜色
  tableBorderColor = dark[7]; //行底部边框颜色
  tableChildBg = dark[3]; //树型表格子行背景颜色
}
