import Plain from './plain';
import { light, dark, grey } from './color';

export default class Light extends Plain {
  name = 'light'; //总体样式名称
  icon = 'Sunny'; //图标样式
  i18n = 'styles.1'; //样式提示i18n配置
  bodyBg = light[0]; //全局背景颜色
  titleColor = dark[0]; //标题颜色
  subTitleColor = dark[3];//二级标题颜色

  headBg = light[0]; //头部背景颜色
  menuBg = light[0]; //菜单背景颜色
  menuActiveBg = light[1]; //菜单激活背景颜色
  menuColor = dark[0]; //菜单文字颜色
  menuActiveColor = '#4f5dfd'; //激活菜单文字颜色

  searchRowBg = light[0];
  itemBg = light[1];

  tableBg = light[0]; //表格背景颜色
  tableHeadBg = light[0]; //表头行背景颜色
  tableCurBg = light[2]; //当前行背景颜色
  tableColor = dark[0]; //表格字体颜色
  tableBorderColor = light[9]; //行底部边框颜色
}
