export default class Zh {
  title = 'XXX管理系统';

  base = {
    color: '颜色',
    add: '添加',
    delete: '删除',
    modify: '修改',
    stop: '停止',
    select: '查询',
    refresh: '刷新',
    save: '保存',
    confirm: '确认',
    cancel: '取消',
    loading: '加载中...',
    active: '生效',
    inactive: '无效',
    key: '键',
    value: '值',
    import: '导入',
    export: '导出',
  };

  pwd = {
    login: '登  录',
    changePwd: '修改密码',
    userId: '用户名',
    pwd: '密码',
    oldPwd: '旧密码',
    newPwd: '新密码',
    rePwd: '确认密码',
    plsRePwd: '请再次输入新密码',
    rePwdError: '两次输入密码不一致',
    length: '密码长度为：{0}~{1}位',
    noSpace: '密码不能包含空格',
    required: '密码至少包含大小写字母和数字',
  };
  styles = ['青', '明亮', '黑夜', '蓝'];

  head = {
    center: '个人中心',
    logout: '退出登录',
    fullScreen: '切换全屏',
    changeStyle: '切换主题',
    language: '语言',
    zh: '中文',
    en: '英文',
    size: '尺寸',
    normal: '正常',
    small: '小',
    large: '大',
  };

  tool = {
    colorCpar: '颜色对比器',
    connect: '拼命连接中',
  };

  rule = {
    pleaseEnter: '请输入',
    notNull: '这里不能为空',
    pleaseSelect: '请选择',
    formatErr: '输入格式不正确',
    int: '整数',
    max: '最大值为{0}',
    min: '最小值为{0}',
    maxLen: '最多输入{0}个字符',
    minLen: '最少输入{0}个字符',
    hexadecimal: '请输入十六进制数字',
    idCard: {
      format: '你输入的身份证长度或格式错误',
      area: '你输入的身份证地区非法',
      birth: '你输入的身份证出生日期非法',
      error: '你输入的身份证号非法',
    },
    username: ['用户名由字母，数字组成，长度4-16之间', "用户名首尾不能出现下划线'_'", '用户名不能包含空格'],
    name: '姓名由汉字或字母组成,且长度不超过10',
  };

  http = {
    unPermission: '您暂无权访问，请联系管理员添加',
    noPermission: '此权限尚未开放，请勿越权访问',
    error: '网络错误',
    downFail: '下载失败，网络异常！',
    unLogin: '请先登录系统',
  };

  preMenu = {
    operator: ['缓存管理', '系统配置', '数据字典', '权限管理', '角色管理', '用户管理', '状态管理', '接口日志'],
  };

  log = {
    title: '接口日志查询',
    prop: ['序号', '操作用户', '日志模块', '操作类型', '操作时间', '登录IP', '日志信息'],
    start: '开始时间',
    stop: '结束时间',
  };

  dict = {
    title: '数据字典管理',
    name: '类型/字典',
    prop: ['字典名称', '字典编码', '字典说明', '字典状态', '操作'],
    example: ['字典类型名称(模糊查询)', '字典类型编码', '状态'],
    delete: ['确认是否删除该字典/字典类型(删除字典类型将删除该类型下所有字典)?', '提示'],
  };

  permission = {
    title: '权限管理',
    name: '权限',
    parent: '父权限',
    prop: ['权限名称', '权限编号', '菜单图标', '权限级别', '排序优先级', '权限状态', '权限内容', '操作'],
    example: ['权限编号'],
    delete: ['确定要删除该权限吗?', '提示'],
  };

  role = {
    title: '角色管理',
    name: '角色',
    prop: ['角色编码', '角色名称', '备注', '角色状态', '操作'],
    setPer: ['分配权限'],
    delete: ['确定要删除该角色吗?', '提示'],
  };

  user = {
    title: '用户管理',
    name: '用户',
    prop: ['用户名', '密码', '用户角色', '姓名', '手机号码', '身份证号', '邮箱', '操作'],
    delete: ['确定要删除该用户吗?', '提示'],
    reset: ['重置密码', '确定要将该用户密码重置为默认密码"Abcd1234"吗?', '提示'],
  };

  buffer = {
    title: '缓存管理',
    clean: '清空失效缓存',
    modify: '修改有效期',
    prop: ['缓存值', '唯一键', '是否有效', '失效时间', '操作'],
    delete: ['确定要删除此条缓存吗？', '提示'],
    delay: ['请输入失效时间(yyyy-MM-dd HH:mm:ss)', '修改'],
  };
  config = {
    title: '配置管理',
    name: '配置',
    prop: ['配置编码', '配置名称', '配置值', '配置类型', '配置描述', '配置状态', '最后修改时间', '最后修改用户', '操作'],
  };
}
